# std::_Safe_tuple_element< __i, _Tuple > Struct Template Reference

## Detailed Description

### template<int __i, typename _Tuple>
struct std::_Safe_tuple_element< __i, _Tuple >

Like tuple_element, but returns `_No_tuple_element` when tuple_element would return an error.

Definition at line 935 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional